GET /contacts/v1/attributeSetDefinitions/{id}

Retrieves an attribute set definition from your contact data model.

URL Parameters 

NameTypeDescription
idstringThe unique ID of an attribute set definition.

Code Example 

To retrieve information about an attribute set definition, issue a GET request to the /contacts/v1/attributeSetDefinitions/{id} endpoint. Replace {id} with the UUID of the attribute set.

Sample Request
1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/attributeSetDefinitions/{id}
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

The response contains information about the attribute set that you specified in the request.

Sample Response
1{
2  "item": {
3    "id": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
4    "key": "Contact",
5    "name": {
6      "value": "Contact"
7    },
8    "fullyQualifiedName": "Contact",
9    "isRoot": false,
10    "isSendable": false,
11    "isEvent": false,
12    "relationships": [
13      {
14        "id": "507b6afa-7e4c-e311-8052-e83935a85380",
15        "leftItem": {
16          "relationshipType": "AttributeGroup",
17          "identifier": "ab7a6afa-7e4c-e311-8052-e83935a85380",
18          "cardinality": "One",
19          "connectingID": {
20            "identifierType": "FullyQualifiedName"
21          },
22          "objectState": "Created"
23        },
24        "rightItem": {
25          "relationshipType": "AttributeSet",
26          "identifier": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
27          "cardinality": "One",
28          "connectingID": {
29            "identifierType": "FullyQualifiedName"
30          },
31          "objectState": "Created"
32        },
33        "relationshipAttributes": [
34          {
35            "leftAttributeID": "784e0522-e295-4ad1-9121-74cd50f47183",
36            "rightAttributeID": "784e0522-e295-4ad1-9121-74cd50f47183",
37            "leftConnectingID": {
38              "identifierType": "FullyQualifiedName"
39            },
40            "rightConnectingID": {
41              "identifierType": "FullyQualifiedName"
42            },
43            "objectState": "Created"
44          }
45        ],
46        "isSystemDefined": false,
47        "leftRelationshipReferenceType": "CustomerData",
48        "leftRelationshipIDs": [
49          {
50            "type": "int16",
51            "value": "2"
52          }
53        ],
54        "canModify": false,
55        "canRemove": false,
56        "links": {},
57        "objectState": "Created"
58      }
59    ],
60    "attributes": [
61      {
62        "id": "497b6afa-7e4c-e311-8052-e83935a85380",
63        "key": "ContactKey",
64        "name": {
65          "value": "Contact Key"
66        },
67        "storageName": "SubscriberKey",
68        "dataType": "Text",
69        "isPrimaryKey": false,
70        "isNullable": false,
71        "isReadOnly": true,
72        "ranges": [],
73        "description": "",
74        "length": -1,
75        "dataSourceID": 1,
76        "restrictedValues": [],
77        "customerDataID": 3,
78        "fullyQualifiedName": "Contact.Contact Key",
79        "parentId": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
80        "isSystemDefined": true,
81        "isIdentityValue": false,
82        "isHidden": false,
83        "isUpdateable": false,
84        "parentType": "Set",
85        "dataSourceName": {},
86        "links": {},
87        "objectState": "Created"
88      },
89      {
90        "id": "784e0522-e295-4ad1-9121-74cd50f47183",
91        "key": "ContactID",
92        "name": {
93          "value": "Contact ID"
94        },
95        "storageName": "SubscriberID",
96        "dataType": "Number",
97        "isPrimaryKey": true,
98        "isNullable": false,
99        "isReadOnly": true,
100        "ranges": [],
101        "description": "",
102        "dataSourceID": 1,
103        "restrictedValues": [],
104        "customerDataID": 2,
105        "fullyQualifiedName": "Contact.Contact ID",
106        "parentId": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
107        "isSystemDefined": true,
108        "isIdentityValue": false,
109        "isHidden": false,
110        "isUpdateable": false,
111        "parentType": "Set",
112        "dataSourceName": {},
113        "links": {},
114        "objectState": "Created"
115      }
116    ],
117    "canAddValues": false,
118    "isSystemDefined": true,
119    "canRemove": false,
120    "canModify": false,
121    "isReadOnly": true,
122    "applicationID": "ce703ed3-e01f-4f5f-900d-76a95b363e29",
123    "applicationKey": "com.exacttarget.contacts",
124    "links": {},
125    "objectState": "Created"
126  },
127  "links": {
128    "attributeSetDefinitions": {
129      "href": "/v1/attributeSetDefinitions"
130    },
131    "schema": {
132      "href": "/v1/schema"
133    }
134  },
135  "requestServiceMessageID": "06e44ef4-9753-4cb4-b20a-d51eced27b3c",
136  "responseDateTime": "2024-09-05T14:04:09.041557-06:00",
137  "resultMessages": [],
138  "serviceMessageID": "635a0c87-3d9e-450b-93a8-4223e0187aba"
139}